%define major		2
%define libname		%mklibname sigsegv %{major}
%define develname	%mklibname sigsegv -d

Summary:	Library for handling page faults in user mode
Name:		libsigsegv
Version:	2.14
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
URL:		http://libsigsegv.sourceforge.net/
Source0:	https://ftp.gnu.org/gnu/libsigsegv/%{name}-%{version}.tar.gz

%description
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a useful
technique for implementing:
  - pageable virtual memory,
  - memory-mapped access to persistent databases,
  - generational garbage collectors,
  - stack overflow handlers,
  - distributed shared memory,

%package -n %{libname}
Summary:	Library for handling page faults in user mode
Group:		System/Libraries

%description -n %{libname}
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a useful
technique for implementing:
  - pageable virtual memory,
  - memory-mapped access to persistent databases,
  - generational garbage collectors,
  - stack overflow handlers,
  - distributed shared memory,

%package -n %{develname}
Summary:	Development libraries and header files for %{name} 
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libraries and header files for %{name} development.

%prep
%setup -q

%build
autoreconf -vfi
%configure \
    --libdir=/%{_lib} \
    --enable-shared \
    --disable-static
%make_build

%check
%__make check

%install
%make_install

rm -f %{buildroot}/%{_lib}/*.la
rm -f %{buildroot}/%{_lib}/*.so

install -d %{buildroot}%{_libdir}
ln -s /%{_lib}/libsigsegv.so.%{major} %{buildroot}%{_libdir}/libsigsegv.so

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
/%{_lib}/lib*.so.%{major}*

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 2.14-2.mga9
+ Revision: 1793821
- Mageia 9 Mass Rebuild

* Thu Jan 27 2022 mrambo3501 <mrambo3501> 2.14-1.mga9
+ Revision: 1770024
- version 2.14

* Thu Mar 11 2021 daviddavid <daviddavid> 2.13-1.mga9
+ Revision: 1701291
- new version: 2.13
- disable unneeded static libraries

* Thu Feb 13 2020 umeabot <umeabot> 2.12-3.mga8
+ Revision: 1514441
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.12-2.mga7
+ Revision: 1299150
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 kekepower <kekepower> 2.12-1.mga7
+ Revision: 1219479
- Update to version 2.12

* Thu Feb 11 2016 umeabot <umeabot> 2.10-7.mga6
+ Revision: 955641
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 2.10-6.mga6
+ Revision: 867736
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 2.10-5.mga5
+ Revision: 745768
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10-4.mga5
+ Revision: 681785
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.10-3.mga4
+ Revision: 507333
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.10-2.mga3
+ Revision: 358165
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 18 2011 fwang <fwang> 2.10-1.mga2
+ Revision: 125593
- new version 2.10

* Sat Jan 08 2011 blino <blino> 2.9-2.mga1
+ Revision: 560
- remove obsolete postun
- imported package libsigsegv


* Sun Nov 28 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.9-1mdv2011.0
+ Revision: 602351
- update to new version 2.9

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8-2mdv2010.1
+ Revision: 519776
- move the libraries to /%%{_lib}/

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8-1mdv2010.1
+ Revision: 519533
- 2.8

* Sun Aug 09 2009 Frederik Himpe <fhimpe@mandriva.org> 2.7-1mdv2010.0
+ Revision: 412924
- Update to new version 2.7 (new major)

* Sun Jul 26 2009 Funda Wang <fwang@mandriva.org> 2.6-2mdv2010.0
+ Revision: 400115
- drop invalid provides

* Mon Aug 25 2008 Emmanuel Andry <eandry@mandriva.org> 2.6-1mdv2009.0
+ Revision: 275824
- ?\194New version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.5-3mdv2009.0
+ Revision: 223002
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 26 2007 Funda Wang <fwang@mandriva.org> 2.5-2mdv2008.1
+ Revision: 112165
- fix requires of static devel package

* Mon Nov 12 2007 Funda Wang <fwang@mandriva.org> 2.5-1mdv2008.1
+ Revision: 108148
- New version 2.5

* Sat Oct 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4-1mdv2008.1
+ Revision: 102659
- new version
- new license policy
- new devel library policy
- spec file clean


* Sat May 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.3-1mdk
- initial release

